Skip to main content
POST
/
table
/
get-references-ids
Retrieve multiple table references
curl --request POST \
  --url https://app.myhero.so/table/get-references-ids \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    "<string>"
  ]
}
'
{
  "data": [
    {
      "_id": "<string>",
      "documentId": "<string>",
      "workspaceId": "<string>",
      "tableId": "<string>",
      "columnId": "<string>",
      "relatedRowId": "<string>",
      "columnName": "<string>",
      "tableName": "<string>",
      "type": "relation",
      "createdAt": 123,
      "updatedAt": 123,
      "originId": "<string>",
      "oneToManyColumnId": "<string>",
      "oneToManyInstanceIds": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.myhero.so/llms.txt

Use this file to discover all available pages before exploring further.

Accepts an array of table reference IDs and returns matching documents. Requires access to all of the referenced documents.

Authorizations

Authorization
string
header
required

HERO personal access token

Body

application/json
data
string[]
required
Minimum array length: 1
Minimum string length: 1

Response

200 response

data
object[]
required